ListInfrastructureConfigurations
Returns a list of infrastructure configurations.
Request Syntax
POST /ListInfrastructureConfigurations HTTP/1.1
Content-type: application/json
{
"filters": [
{
"name": "string",
"values": [ "string" ]
}
],
"maxResults": number,
"nextToken": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- filters
-
You can filter on
nameto streamline results.Type: Array of Filter objects
Array Members: Minimum number of 1 item. Maximum number of 10 items.
Required: No
- maxResults
-
The maximum number of items to return in a single request.
Type: Integer
Valid Range: Minimum value of 1. Maximum value of 25.
Required: No
- nextToken
-
A token to specify where to start paginating. Use the
nextTokenvalue from a previously truncated response.Type: String
Length Constraints: Minimum length of 1. Maximum length of 65535.
Required: No
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"infrastructureConfigurationSummaryList": [
{
"arn": "string",
"dateCreated": "string",
"dateUpdated": "string",
"description": "string",
"instanceProfileName": "string",
"instanceTypes": [ "string" ],
"name": "string",
"placement": {
"availabilityZone": "string",
"hostId": "string",
"hostResourceGroupArn": "string",
"tenancy": "string"
},
"resourceTags": {
"string" : "string"
},
"tags": {
"string" : "string"
}
}
],
"nextToken": "string",
"requestId": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- infrastructureConfigurationSummaryList
-
The list of infrastructure configurations.
Type: Array of InfrastructureConfigurationSummary objects
- nextToken
-
The next token used for paginated responses. When this field isn't empty, there are additional elements that the service hasn't included in this request. Use this token with the next request to retrieve additional objects.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 65535.
- requestId
-
The request ID that uniquely identifies this request.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 1024.
Errors
For information about the errors that are common to all actions, see Common Error Types.
- CallRateLimitExceededException
-
You have exceeded the permitted request rate for the Amazon EC2 APIs that Image Builder calls on your behalf. Retry with an increasing or variable delay between requests.
HTTP Status Code: 429
- ClientException
-
A generic client error. This error usually indicates that the request failed a validation check, such as when a downstream service rejects a configured value.
HTTP Status Code: 400
- ForbiddenException
-
You are not authorized to perform the requested operation.
HTTP Status Code: 403
- InvalidPaginationTokenException
-
You have provided an invalid pagination token in your request.
HTTP Status Code: 400
- InvalidRequestException
-
The request is malformed or otherwise invalid. Verify the request and try again.
HTTP Status Code: 400
- ServiceException
-
An internal server error occurred while Image Builder processed the request. Retrying the request may succeed.
HTTP Status Code: 500
- ServiceUnavailableException
-
The service is unable to process your request at this time.
HTTP Status Code: 503
Examples
List infrastructure configurations by name
The following example lists your infrastructure configurations, filtered to a specific resource name.
Sample Request
POST /ListInfrastructureConfigurations HTTP/1.1
Content-type: application/json
{
"filters": [
{
"name": "name",
"values": [
"my-example-infrastructure-configuration"
]
}
]
}
Sample Response
HTTP/1.1 200
Content-type: application/json
{
"requestId": "dbadaf86-3a9d-48fc-8e34-6062ef0a70f2",
"infrastructureConfigurationSummaryList": [
{
"arn": "arn:aws:imagebuilder:us-west-2:111122223333:infrastructure-configuration/my-example-infrastructure-configuration",
"name": "my-example-infrastructure-configuration",
"description": "An example infrastructure configuration for Amazon Linux builds",
"dateCreated": "2026-09-09T19:37:17.350Z",
"tags": {
"Environment": "test"
},
"instanceTypes": [
"m5.large",
"m5.xlarge"
],
"instanceProfileName": "EC2InstanceProfileForImageBuilder"
}
]
}
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: